body {
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    color: #111317;
    font-family: "Times New Roman", Times, serif;
}

a:link {
    color: #ff0000;
}

header {
    padding: 30px;
    padding: 4px;
    border-radius: 28px;
    margin: 12px;

    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 12px;
}

footer {
    background-color: #cccccc;
}

.header-right {
    margin-left: auto;
    display: flex;
    align-items: center;
}

.button-1,
.button-round {
    background-color: #FCFCFD;
    border: 0;
    box-shadow: rgba(45, 35, 66, 0.4) 0 2px 4px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 48px;
    transition: box-shadow .15s, transform .15s;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    will-change: box-shadow, transform;
}

.button-1:hover,
.button-round:hover {
    box-shadow: rgba(45, 35, 66, 0.4) 0 4px 8px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
    transform: translateY(-2px);
}

.button-1:active,
.button-round:active {
    box-shadow: #D6D6E7 0 3px 7px inset !important;
    transform: translateY(2px) !important;
}

.button-1 {
    border-radius: 4px;
    font-size: 14px;
    padding: 0 10px;
}

.button-1:focus {
    box-shadow: #D6D6E7 0 0 0 1.5px inset, rgba(45, 35, 66, 0.4) 0 2px 4px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
}

.button-round {
    width: 48px;
    padding: 0;
    margin-left: auto;
    overflow: hidden;
    border-radius: 50%;
}

.button-round img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.div-error {
    background-color: #fff9e6;
    border: 2px solid #ffcc00;
    padding: 15px;
    margin: 20px 0;
    font-family: 'Courier New', monospace;
    font-size: 14px;
    color: #333000;
    width: fit-content;
    max-width: 500px;
}

.div-element {
    background-color: white;
    border-radius: 8px;
    box-shadow: rgba(45, 35, 66, 0.4) 0 2px 4px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
}

.padding {
    padding: 12px;
}

main {
    background-color: white;
    flex: 1;
    margin: 0 auto 12px auto;
    min-width: 1200px;
    display: flex;
}

footer {
    background-color: rgb(255, 255, 255);
    padding: 4px 20px;
}

.input {
    border: 2px solid #ccc;
    height: 2.5em;
    padding-left: 0.8em;
    outline: none;
    overflow: hidden;
    background-color: white;
    border-radius: 6px;
    transition: all 0.5s;
}

.input:disabled {
    background-color: #ccc;
}

.input:hover,
.input:focus {
    border: 2px solid #000080;
    box-shadow: 0px 0px 0px 7px rgb(74, 157, 236, 20%);
    background-color: white;
}

.sharp-book-image {
    position: fixed;
    left: 10px;
    bottom: 0;
    width: 250px;
    z-index: -1;
}

.bg-pattern {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
    background-color: #fff;
    background-image: radial-gradient(rgba(53, 84, 224, 0.171) 2px, transparent 0);
    background-size: 30px 30px;
    background-position: -5px -5px;
}